org.apache.hadoop.yarn.api.protocolrecords

## Class FinishApplicationMasterResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.FinishApplicationMasterResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class FinishApplicationMasterResponse
      extends Object

  The response sent by the `ResourceManager` to a `ApplicationMaster` on it's completion.

  The response, includes:

  - A flag which indicates that the application has successfully unregistered with the RM and the application can safely stop.

  Note: The flag indicates whether the application has successfully unregistered and is safe to stop. The application may stop after the flag is true. If the application stops before the flag is true then the RM may retry the application.

  See Also:
    `ApplicationMasterProtocol.finishApplicationMaster(FinishApplicationMasterRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FinishApplicationMasterResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `getIsUnregistered()` Get the flag which indicates that the application has successfully unregistered with the RM and the application can safely stop.
    `static FinishApplicationMasterResponse` | `newInstance(boolean isRemovedFromRMStateStore)`
    `abstract void` | `setIsUnregistered(boolean isUnregistered)` Set the flag which indicates that the application has successfully unregistered with the RM and the application can safely stop.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FinishApplicationMasterResponse

          public FinishApplicationMasterResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static FinishApplicationMasterResponse newInstance(boolean isRemovedFromRMStateStore)

    - #### getIsUnregistered

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract boolean getIsUnregistered()

      Get the flag which indicates that the application has successfully unregistered with the RM and the application can safely stop.
      Returns:
        true if the application has unregistered with the RM, false otherwise

    - #### setIsUnregistered

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setIsUnregistered(boolean isUnregistered)

      Set the flag which indicates that the application has successfully unregistered with the RM and the application can safely stop.
      Parameters:
        `isUnregistered` - boolean flag to indicate that the application has successfully unregistered with the RM

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.